Author Topic: Wordpress/WooCommerce recommending SQL 5.6  (Read 2885 times)

0 Members and 2 Guests are viewing this topic.

Offline
**
Wordpress/WooCommerce recommending SQL 5.6
« on: June 22, 2016, 04:11:36 PM »
Hi All,

I just updated my WordPress site to WooCommerce 2.6.1 and it is now recommending an update to at least SQL 5.6 (currently 5.1). I run a standard CentOS/CWP set up with Nginx & Varnish & running PHP 5.6 on a small VPS.

Should I be thinking about upgrading to SQL 5.6? Does CWP work with SQL 5.6 and is there a trusted step by step guide?

I found this link in the forums which seems easy, maybe too easy I thought. https://blog.bullten.com/upgrading-mysql-to-5-5-in-centos-web-panel-cwp/ I need easy steps as my talents are in webdesign not server admin.

Any assistance is greatly appreciated.
https://6sense.com.au
Web Design, Development & Hosting.

Offline
*****
Re: Wordpress/WooCommerce recommending SQL 5.6
« Reply #1 on: June 23, 2016, 03:45:52 AM »
Recommend you to install mariadb 10.1 which have all the functionality of mysql 5.6 and 5.7

Offline
**
Re: Wordpress/WooCommerce recommending SQL 5.6
« Reply #2 on: June 27, 2016, 12:18:15 AM »
Thanks for the reply Sandeep. MariaDB is unfamiliar to me so I'm a little nervous about trying to integrate it into my server (I have 3 WordPress sites it would affect).

Is WebPanel looking to eventually upgrade SQL versions?

Cause if it's not even compatible with the current WordPress version it's officially obsolete.


https://6sense.com.au
Web Design, Development & Hosting.

Offline
*****
Re: Wordpress/WooCommerce recommending SQL 5.6
« Reply #3 on: June 28, 2016, 07:08:28 AM »
Hi.

Wordpress works great with MariaDB and does not have any troubles.

Offline
**
Re: Wordpress/WooCommerce recommending SQL 5.6
« Reply #4 on: June 29, 2016, 01:20:23 AM »
Thanks but migrating from MySQL with a working WordPress/WooCommerce shop to what is an unknown to me sounds risky and scary. I've never worked with MariaDB before and changing to it will bring a new learning curve & could mean huge headaches, lengthy downtime with lost revenue.

Do you think one day they will upgrade SQL?
https://6sense.com.au
Web Design, Development & Hosting.

Offline
*****
Re: Wordpress/WooCommerce recommending SQL 5.6
« Reply #5 on: June 29, 2016, 12:51:02 PM »
No need to warry just backup all databases before upgrade

Offline
**
Re: Wordpress/WooCommerce recommending SQL 5.6
« Reply #6 on: July 08, 2016, 03:46:53 PM »
Ok I think I'll pluck up the courage to change over to MaraDB. Do I just use the 3 commands I found in the following link http://forum.centos-webpanel.com/mysql/change-cwp-from-mysql-to-mariadb-10-1/

Once I perform the above do I just import the databases I saved earlier using PHP Admin?
https://6sense.com.au
Web Design, Development & Hosting.

Offline
*****
Re: Wordpress/WooCommerce recommending SQL 5.6
« Reply #7 on: July 08, 2016, 09:40:02 PM »
Ok I think I'll pluck up the courage to change over to MaraDB. Do I just use the 3 commands I found in the following link http://forum.centos-webpanel.com/mysql/change-cwp-from-mysql-to-mariadb-10-1/

Once I perform the above do I just import the databases I saved earlier using PHP Admin?
https://downloads.mariadb.org/mariadb/repositories/
follow the instruction to add repo
then yum update